package prupp;

// $Id: MetaHandler.java,v 1.5 1998/12/19 13:46:09 d94-rol Exp $

import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.net.URL;
import java.util.Properties;

/** This interface specifies the methods methapages has to implement
 */
public interface MetaHandler {

    /** handler of a MetaPage, that is a special page the proxy supports (like the status page).
     * @param input the InputStream from the client.
     * @param output the OutputStream to the client.
     * @param url the requested url.
     * @param htab the supplied argument to the page (CGI-parameters).
     * @param uap the username and paswword as by Basic-authentication
     */
    public void handle (DataInputStream input, DataOutputStream output, URL url, Properties htab, String uap);
}
