package prupp;

// $Id: Admin.java,v 1.4 1998/12/22 20:26:36 d94-rol Exp $

import java.io.*;
import java.net.*;
import java.util.*;

/** A MetaPage to give a simple interface to the different MetaPages there is.
 */
public class Admin implements MetaHandler {
    /** default constructor */
    public Admin () {
    }
  
    /** handler of a MetaPage.
     * @param input the InputStream from the client.
     * @param output the OutputStream to the client.
     * @param url the requested url.
     * @param htab the supplied argument to the page (CGI-parameters).
     * @param uap the username and paswword as by Basic-authentication
     */
    public void handle (DataInputStream input, DataOutputStream output, URL url, Properties htab, String uap) {
	String page = htab.getProperty ("page");
	StringBuffer res = new StringBuffer (Proxy.getHeader ().toString ());
	    
	if (page == null) {
	    res.append ("<html><head><title>RabbIT proxy Administration</title></head>\n" + 
			"<frameset rows=\"50,*\">\n" +
			"\t<frame src=\"Admin?page=menu\" name=\"menu\">\n" +
			"\t<frame src=\"Status\" name=\"main\">\n" +
			"</frameset>\n</html>");      
	} else if (page.equals ("menu")) {

	    // make this dynamic so one can register extra metapages.
	    res.append (HTMLPage.getPageHeader ());
	    res.append ("<table border=0 width=\"100%\">\n" +
			"\t<tr><td align=center>[<a href=Status target=main>Status</a>]</td>\n" +
			"\t<td align=center>[<a href=CacheStatus target=main>CacheStatus</a>]</td>\n" +
			"\t<td align=center>[<a href=ClearCache target=main>ClearCache</a>]</td>\n" +
			"\t<td align=center>[<a href=/FileSender/JConfig.html target=main>JConfig</a>]</td>\n" +
			"\t<td align=center>[<a href=/FileSender/README.txt target=main>README</a>]</td>\n" +
			//"\t<td align=center>[<a href=Configurer target=main>Configurer</a>]</td>\n" +		  
			"\t<td align=center>[<a href=KillTheStupidThing target=main>Kill</a>]</td></tr>\n" +
			"</td></tr>\n");
	    res.append ("</table></form>\n</td></tr></table>\n</body></html>");
	}
	try {      
	    output.write (res.toString ().getBytes ());
	} catch (IOException e) {
	    Proxy.logError ("Couldnt write Admin");
	}    
    }

    /** call this when you want to configure this class 
     * @param properties the Properties with the new settings.
     */
    public static void setup (Properties properties) {
    }

    /** Called when you want to get the possible settings this filter 
     *  support. 
     */
    public static Properties getProperties () {
	return new Properties ();
    }
}
